%define upstream_name    Test-WWW-Mechanize-LibXML
%define upstream_version 0.0.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Use HTML::TreeBuilder::LibXML for testing
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::TreeBuilder::LibXML)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::WWW::Mechanize)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module inherits from the Test::WWW::Mechanize manpage, and allows one
to utilize the HTML::TreeBuilder::LibXML manpage to perform XPath and the
HTML::TreeBuilder manpage queries on the tree.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 23 2020 tv <tv> 0.0.6-1.mga8
+ Revision: 1638743
- update to 0.0.6

* Wed Feb 12 2020 umeabot <umeabot> 0.0.5-3.mga8
+ Revision: 1506593
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.0.5-2.mga7
+ Revision: 1286833
- Mageia 7 Mass Rebuild

* Tue May 22 2018 shlomif <shlomif> 0.0.5-1.mga7
+ Revision: 1231570
- update to 0.0.5

* Sun Jun 19 2016 pterjan <pterjan> 0.0.4-6.mga6
+ Revision: 1034809
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.0.4-5.mga6
+ Revision: 948372
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.0.4-4.mga5
+ Revision: 787827
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.4-2.mga5
+ Revision: 686570
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.0.4-1.mga5
+ Revision: 619619
- update to v0.0.4

* Fri Oct 18 2013 umeabot <umeabot> 0.0.2-4.mga4
+ Revision: 515381
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.0.2-3.mga3
+ Revision: 373906
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.0.2-2.mga1
+ Revision: 41287
- mageia rebuild
- imported package perl-Test-WWW-Mechanize-LibXML

